/* RCS $Id: q_fcth.h,v 1.1 1997/05/16 13:36:31 ae13 Exp $ */
/*
$Log: q_fcth.h,v $
 * Revision 1.1  1997/05/16  13:36:31  ae13
 * Initial revision
 *
 */
/****************************************************************/
/*                                                              */
/*      Filename        : q_fcth.h                              */
/*                                                              */
/*      Description     : function prototypes                   */
/*                                                              */
/*      Date            : 1996-03-08                            */
/*                                                              */
/*      Author          : W. Hofschuster                        */
/*                                                              */
/****************************************************************/

_PROTOTYPE(double q_abortr1,(int n, double *x, int fctn));
_PROTOTYPE(a_intv q_abortr2,(int n, double *x1, double *x2, int fctn));
_PROTOTYPE(double q_abortnan,(int n, double *x, int fctn));
_PROTOTYPE(double q_sqr,(double x));
_PROTOTYPE(double q_sqrt,(double x));
_PROTOTYPE(double q_exp,(double x));
_PROTOTYPE(double q_ep1,(double x));
_PROTOTYPE(double q_expm,(double x));
_PROTOTYPE(double q_epm1,(double x));
_PROTOTYPE(double q_sinh,(double x));
_PROTOTYPE(double q_cosh,(double x));
_PROTOTYPE(double q_coth,(double x));
_PROTOTYPE(double q_cth1,(double x));
_PROTOTYPE(double q_tanh,(double x));
_PROTOTYPE(double q_log,(double x));
_PROTOTYPE(double q_lg1p,(double x));
_PROTOTYPE(double q_log1,(double x));
_PROTOTYPE(double q_l1p1,(double x));
_PROTOTYPE(double sqrt,(double x));
_PROTOTYPE(double q_asnh,(double x));
_PROTOTYPE(double q_acsh,(double x));
_PROTOTYPE(double q_acth,(double x));
_PROTOTYPE(double q_atnh,(double x));
_PROTOTYPE(double q_asin,(double x));
_PROTOTYPE(double q_acos,(double x));
_PROTOTYPE(double q_acot,(double x));
_PROTOTYPE(double q_atan,(double x));
_PROTOTYPE(double q_atn1,(double x));
_PROTOTYPE(double q_sin,(double x));
_PROTOTYPE(double q_cos,(double x));
_PROTOTYPE(double q_sin1,(double x, long int k));
_PROTOTYPE(double q_cos1,(double x, long int k));
_PROTOTYPE(double q_cot,(double x));
_PROTOTYPE(double q_tan,(double x));
_PROTOTYPE(double q_exp2,(double x));
_PROTOTYPE(double q_ex10,(double x));
_PROTOTYPE(double q_log2,(double x));
_PROTOTYPE(double q_lg10,(double x));
_PROTOTYPE(double q_rtrg,(double x, long int k));
_PROTOTYPE(double q_r2tr,(double r, long int k));

_PROTOTYPE(a_intv j_exp,(a_intv x));
_PROTOTYPE(a_intv j_expm,(a_intv x));
_PROTOTYPE(a_intv j_sinh,(a_intv x));
_PROTOTYPE(a_intv j_cosh,(a_intv x));
_PROTOTYPE(a_intv j_coth,(a_intv x));
_PROTOTYPE(a_intv j_tanh,(a_intv x));
_PROTOTYPE(a_intv j_log,(a_intv x));
_PROTOTYPE(a_intv j_lg1p,(a_intv x));
_PROTOTYPE(a_intv j_sqrt,(a_intv x));
_PROTOTYPE(a_intv j_sqr,(a_intv x));
_PROTOTYPE(a_intv j_asnh,(a_intv x));
_PROTOTYPE(a_intv j_acsh,(a_intv x));
_PROTOTYPE(a_intv j_acth,(a_intv x));
_PROTOTYPE(a_intv j_atnh,(a_intv x));
_PROTOTYPE(a_intv j_asin,(a_intv x));
_PROTOTYPE(a_intv j_acos,(a_intv x));
_PROTOTYPE(a_intv j_acot,(a_intv x));
_PROTOTYPE(a_intv j_atan,(a_intv x));
_PROTOTYPE(a_intv j_sin,(a_intv x));
_PROTOTYPE(a_intv j_cos,(a_intv x));
_PROTOTYPE(a_intv j_cot,(a_intv x));
_PROTOTYPE(a_intv j_tan,(a_intv x));
_PROTOTYPE(a_intv j_exp2,(a_intv x));
_PROTOTYPE(a_intv j_ex10,(a_intv x));
_PROTOTYPE(a_intv j_log2,(a_intv x));
_PROTOTYPE(a_intv j_lg10,(a_intv x));

